Debian Bug report logs - #703357
ITP: libaria -- C++ library for MobileRobots/ActivMedia/Adept robots

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>

Date: Mon, 18 Mar 2013 18:51:02 UTC

Owned by: "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>

Severity: wishlist

Fixed in version libaria/2.7.5.2+repack-1

Done: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, ros-sig-pioneer@googlegroups.com, wnpp@debian.org, "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>:
Bug#703357; Package wnpp. (Mon, 18 Mar 2013 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, ros-sig-pioneer@googlegroups.com, wnpp@debian.org, "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>. (Mon, 18 Mar 2013 18:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libaria -- C++ library for MobileRobots/ActivMedia/Adept robots
Date: Mon, 18 Mar 2013 19:41:46 +0100
Package: wnpp
Severity: wishlist
Owner: "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>

* Package name       : libaria
  Version            : 2.7.5.2
  Upstream Maintainer: Reed Hedges <reed.hedges@adept.com>
* URL                : http://robots.mobilerobots.com/wiki/ARIA
* License            : GPLv2
  Programming Lang   : C++ with Python and Java wrappers (swig)
  Description        : C++ library for MobileRobots/ActivMedia/Adept robots

ARIA is an object oriented toolkit for controlling MobileRobots/ActivMedia
mobile robots and their accessories, and for creating robot control
applications. It also provides many cross-platform and high-level tools for
multimedia, networking, and other useful tasks.

I'd like to package ARIA for Debian so that every roboticist out there  
using Debian (or a derivative) can simply
$ sudo apt-get install libaria2 (libaria-dev)
and start using (or developing) for his (hers) MobileRobots/ActivMedia/Adept
robot.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>:
Bug#703357; Package wnpp. (Wed, 20 Mar 2013 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dereck Wonnacott <dereck@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Srećko Jurić-Kavelj" <srecko.juric-kavelj@fer.hr>. (Wed, 20 Mar 2013 01:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 703357@bugs.debian.org (full text, mbox):

From: Dereck Wonnacott <dereck@gmail.com>
To: 703357@bugs.debian.org
Subject: libaria
Date: Tue, 19 Mar 2013 20:56:55 -0400
[Message part 1 (text/plain, inline)]
Agreed.

Additionally, the upstream tarball has been pretty well maintained in my
limited exposure.

It is also a dependency for some ROS packages so it would be great to see
this in the archives.

~Dereck

“The greater danger for most of us lies not in setting our aim too high and
falling short; but in setting our aim too low, and achieving our mark.” -
Michelangelo
[Message part 2 (text/html, inline)]

Added blocking bug(s) of 703357: 703630 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 16:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>:
You have taken responsibility. (Fri, 19 Apr 2013 15:03:13 GMT) Full text and rfc822 format available.

Notification sent to Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 15:03:14 GMT) Full text and rfc822 format available.

Message #19 received at 703357-close@bugs.debian.org (full text, mbox):

From: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>
To: 703357-close@bugs.debian.org
Subject: Bug#703357: fixed in libaria 2.7.5.2+repack-1
Date: Fri, 19 Apr 2013 15:00:11 +0000
Source: libaria
Source-Version: 2.7.5.2+repack-1

We believe that the bug you reported is fixed in the latest version of
libaria, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703357@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr> (supplier of updated libaria package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Mar 2013 17:52:50 +0100
Source: libaria
Binary: libaria-dev libaria2 libaria-dev-doc
Architecture: source amd64 all
Version: 2.7.5.2+repack-1
Distribution: unstable
Urgency: low
Maintainer: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>
Changed-By: Srećko Jurić-Kavelj <srecko.juric-kavelj@fer.hr>
Description: 
 libaria-dev - C++ library for MobileRobots/ActivMedia robots (devel)
 libaria-dev-doc - C++ library for MobileRobots/ActivMedia robots (devel docs)
 libaria2   - C++ library for MobileRobots/ActivMedia robots
Closes: 703357
Changes: 
 libaria (2.7.5.2+repack-1) unstable; urgency=low
 .
   * Initial release (Closes: #703357)
   * Repacked the original tarball to remove unnecesary non-source files.
Checksums-Sha1: 
 cbe1859c0f5ef73dbf56e5fe61f83d7a37d17c99 1993 libaria_2.7.5.2+repack-1.dsc
 54b8f8c36fbea04f50abc8bc3b6a747c53d6fd3b 1605949 libaria_2.7.5.2+repack.orig.tar.bz2
 f6dc46ec1ac0fb7c07b4a2174bf035f777f97589 6571 libaria_2.7.5.2+repack-1.debian.tar.gz
 0ccb31314d1f451934a7b334096ac1fd0f3f3610 1634576 libaria-dev_2.7.5.2+repack-1_amd64.deb
 e9cf7b12e6305d637227bf624c14c252f8882c7f 823566 libaria2_2.7.5.2+repack-1_amd64.deb
 ea8f2e39183970cf1fa3ad5b369b92421ce9d301 3125920 libaria-dev-doc_2.7.5.2+repack-1_all.deb
Checksums-Sha256: 
 18603ae23ca97f74b5fbf639449cc5226398a73c84a5129283c0d90ab6320502 1993 libaria_2.7.5.2+repack-1.dsc
 6ed408234e8df508fdcde05babe2eb456845a9c330ffba31f5a37d7e7fbeab02 1605949 libaria_2.7.5.2+repack.orig.tar.bz2
 4c2e1e70e6d56a74a37b42d92673f5c42d560b76126df2f6f540b8685d4719b3 6571 libaria_2.7.5.2+repack-1.debian.tar.gz
 69b81badf3f7a6c0bfce5831cbf6059cfae46bc44831de454f968f0186478393 1634576 libaria-dev_2.7.5.2+repack-1_amd64.deb
 ce20d1d1c100e3db249607d20dd491578a76e9a4587c22c24fda7689cd794726 823566 libaria2_2.7.5.2+repack-1_amd64.deb
 a668608ac7011b1876de37478f89edd8ae33cf15ff678ac70f2a0e44df873261 3125920 libaria-dev-doc_2.7.5.2+repack-1_all.deb
Files: 
 ba3b09d79791ae31d8904c2138f0532a 1993 libs extra libaria_2.7.5.2+repack-1.dsc
 80302257375bb23db0be4b6f015e1106 1605949 libs extra libaria_2.7.5.2+repack.orig.tar.bz2
 004efbead7ee76c7da2241a27c0c83be 6571 libs extra libaria_2.7.5.2+repack-1.debian.tar.gz
 7c284302ad08636cc941791d745d4805 1634576 libdevel extra libaria-dev_2.7.5.2+repack-1_amd64.deb
 e11dfad4aede0116bb6c34f4593dad5a 823566 libs extra libaria2_2.7.5.2+repack-1_amd64.deb
 d88963e2956446ed4a8c10df5c27b397 3125920 doc extra libaria-dev-doc_2.7.5.2+repack-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRcFF1AAoJENPhc4PPp/8GDUcP/1L4dQDlXVS5dBI9mTPmI52t
o4WfM8K25/RWEA+sIMDEFR7Sy4PyB680S36Q63Li9cJ+HEzjU3E936xS2plLq72u
JMYSiZrGf8WKEoA2ChbBiHxv8BrymEZWj5GeFyWnXiz8ivAqAZ5inTBoKz6Ceb6/
3Y8VgZtRsbiAH52vk3LxScwzQN4nsnTOcx6cTd2llb8JlcK4FjVxmCdleXnItkKy
LbfKafqUgp8As0Dp4+Z5lK0TOro74sVHkemJy80SeCzEJDzqZS3jMg9dHDphrtLy
/L+0nQc2ur1C8e6ATsSsL/dDxwOHyR1UyMmGX7vW667XjOo1OQR41bKX/K/oqHyO
78074ziGCIm7uRaGnhiIVCgW1xQ7vCqAgnAn63PMxKxq0Z2r1FLz5QRaWpTnKFJ3
+SIyDVN19cazNxQH36xGTGn92ReitJUOl20L6yZQmoT86BNCsCRkr6CuM0pbVQJS
z3bT7WsLy9vRCwAWgUQ0AA7PSsGmh1ZJ2Bu8SfjCftJXjeYqC1bF20RdxAaWKzEV
LWTPO1gR6p5GwogvDprvHQgedOZdTZSOnnjeW96T7PcwFO78DuLKOrw4Z3dv+hEo
q+tHCA+Y1yauXVcrmISfbUHXClROvP3mDxrMqQy9YG0mBxiWsQ0TidT8+rSvtzk4
W0ZLzBojbeOPX2UtHWjU
=IcRa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:06:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.